Install Request Tracker 4 rt-4.0.1 on Ubuntu 11.04

If using Apache2, install dependencies:

apt-get install libapache2-mod-perl2

Install PERL dependencies:


apt-get install libarchive-zip-perl libgd-gd2-perl \
libgd-graph-perl libgraphviz-perl libcrypt-gpg-perl \
libmime-tools-perl libmime-perl libmime-types-perl \
libperlio-eol-perl libgnupg-interface-perl \
libipc-run-perl libfile-sharedir-perl \
libemail-address-perl libhtml-rewriteattributes-perl \
libdata-ical-perl libnet-server-perl libcgi-fast-perl \
libfcgi-perl libhttp-server-simple-perl \
libuniversal-require-perl libtemplate-plugin-textile2-perl \
libtext-wrapper-perl libhtml-scrubber-perl \
libhtml-mason-perl libregexp-common-perl \
libtime-piece-mysql-perl libtree-simple-perl \
libcss-squish-perl liblocale-maketext-fuzzy-perl \
libemail-address-perl libfile-sharedir-perl \
libmime-types-perl libhtml-rewriteattributes-perl \
libdata-ical-perl libhttp-server-simple-perl \
libhttp-server-simple-static-perl libhtml-mason-perl \
libnet-server-perl libperlio-eol-perl \
libgnupg-interface-perl libipc-run-perl \
libgraphviz-perl libemail-address-perl libcgi-fast-perl

Build RT:


./configure --enable-graphviz --enable-gd --enable-gpg \
--with-web-user=www-data --with-web-group=www-data

make testdeps
make fixdeps

make install

Install new database or upgrade existing database

Reference:

http://maia.deec.uc.pt/Computers/Operating_Systems/Linux/Network/Services/Helpdesk/Request_Tracker/Install_3.8.7_on_Ubuntu?action=edit

http://guzaho.wordpress.com/2011/07/03/upgrading-rt3-to-rt4-on-ubuntu-10-04-64bit-lts/

http://bestpractical.com/rt/